% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/blockStimulus.R
\name{blockStimulus}
\alias{blockStimulus}
\title{Block stimulus model for FMRI Data}
\usage{
blockStimulus(scans = 1, onsets = c(1), durations = c(1), rt = 3)
}
\arguments{
\item{scans}{number of scans}

\item{onsets}{vector of onset times (in scans)}

\item{durations}{vector of duration of ON stimulus in scans or seconds (if
\code{!is.null(times)})}

\item{rt}{time between scans in seconds (TR)}
}
\value{
Vector with dimension \code{c(scans, 1)}.
}
\description{
Create the block BOLD stimulus for a given task indicator function. Current
units in terms of volumes.  Sort of a bug, should be in TR.
}
\details{
None
}
\examples{

  # Example 1
  hrf <- blockStimulus(107, c(18, 48, 78), 15, 2)

}
\references{
Worsley, K.J., Liao, C., Aston, J., Petre, V., Duncan, G.H.,
Morales, F., Evans, A.C. (2002). A general statistical analysis for fMRI
data. NeuroImage, 15:1-15.
}
\author{
b avants \email{stnava@gmail.com}
}
\keyword{design}
\keyword{regression}
